Subject: Re: bug#23097: 24.5; ispell.el: lines with both CASECHARS and NOT-CASECHARS get sent to the spell checker

From: Nikolay Kudryavtsev <[email-masked]>
Date: Mon, 17 Aug 2020 12:20:08 +0300

This is not an external software bug, but very much an Emacs bug.

I'm not sure what was the initial design idea for CASECHARS and 
NOT-CASECHARS, but whatever it was, it would not work effectively due to 
feeding the entire line. The most obvious practical use for them(being 
able to spellcheck languages with completely different alphabets without 
the spellchecker misfiring on either pass) would not work either.

The ideal pratical fix for this should spellcheck such lines word by word.

-- 
Best Regards,
Nikolay Kudryavtsev